Install LAMP [Apache, Mysql, PHP, Pearl] on Fedora 18

lamp on fedora 18Fedora 19 is switching to MariaDB. The move is due to the suspecious move of Oracle in Mysql development. Here are the quick step to install Apache Server, Mysql Database, PHP, Pearl on Fedora 18.

The command Need Root access.
Also it will install all the dependencies
Open the Command Terminal
su –

then

yum install -y httpd php php-mysql php-gd php-imap php-ldap php-odbc php-pear php-xml php-xmlrpc php-magickwand php-mbstring php-mcrypt php-tidy php-mysql php-odbc php-pear php-mhash curl perl-libwww-perl ImageMagick libxml2 php-pecl-apc mysql mysql-server phpmyadmin at perl mod_perl perl-HTML-Parser perl-DBI perl-Net-DNS perl-Digest-SHA1 perl-ExtUtils-AutoInstall perl-NetAddr-IP perl-Archive-Tar

The complete log given below.

Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
rpmfusion-free-updates                                   | 3.3 kB     00:00     
rpmfusion-free-updates-debuginfo                         | 2.7 kB     00:00     
rpmfusion-free-updates-source                            | 2.7 kB     00:00     
rpmfusion-nonfree                                        | 3.3 kB     00:00     
rpmfusion-nonfree-updates                                | 3.3 kB     00:00     
rpmfusion-nonfree-updates-debuginfo                      | 2.7 kB     00:01     
rpmfusion-nonfree-updates-source                         | 2.7 kB     00:00     
updates/18/x86_64/metalink                               | 2.8 kB     00:00     
updates                                                  | 4.6 kB     00:01     
updates-debuginfo/18/x86_64/metalink                     |  27 kB     00:00     
updates-debuginfo                                        | 3.0 kB     00:00     
updates-source/18/x86_64/metalink                        | 2.7 kB     00:00     
updates-source                                           | 3.2 kB     00:00     
updates-source/primary_db      FAILED                                           
http://mirror.unej.ac.id/fedora/updates/18/SRPMS/repodata/21fdff40073221a3b2b112713db4bc918f244e7a2faa2f41a7e85acc4def6960-primary.sqlite.bz2: [Errno 14] HTTP Error 404 - Not Found : http://mirror.unej.ac.id/fedora/updates/18/SRPMS/repodata/21fdff40073221a3b2b112713db4bc918f244e7a2faa2f41a7e85acc4def6960-primary.sqlite.bz2
Trying other mirror.
(1/3): updates-debuginfo/primary_db                        | 469 kB   00:09     
(2/3): updates-source/primary_db                           | 992 kB   00:32     
(3/3): updates/primary_db                                  | 8.2 MB   02:29     
Loading mirror speeds from cached hostfile
 * fedora: ftp.neowiz.com
 * fedora-debuginfo: ftp.neowiz.com
 * fedora-source: ftp.neowiz.com
 * rpmfusion-free: ftp.astral.ro
 * rpmfusion-free-debuginfo: ftp.astral.ro
 * rpmfusion-free-source: ftp.astral.ro
 * rpmfusion-free-updates: ftp.astral.ro
 * rpmfusion-free-updates-debuginfo: ftp.astral.ro
 * rpmfusion-free-updates-source: ftp.astral.ro
 * rpmfusion-nonfree: ftp.astral.ro
 * rpmfusion-nonfree-debuginfo: ftp.astral.ro
 * rpmfusion-nonfree-source: ftp.astral.ro
 * rpmfusion-nonfree-updates: ftp.astral.ro
 * rpmfusion-nonfree-updates-debuginfo: ftp.astral.ro
 * rpmfusion-nonfree-updates-source: ftp.astral.ro
 * updates: mirrors.ustc.edu.cn
 * updates-debuginfo: mirror.ox.ac.uk
 * updates-source: mirrors.ustc.edu.cn
Google/primary                                           | 1.4 kB     00:00     
Google                                                                      3/3
Package ImageMagick-6.7.7.5-3.fc18.x86_64 already installed and latest version
Package libxml2-2.9.0-3.fc18.x86_64 already installed and latest version
Package perl-HTML-Parser-3.69-8.fc18.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package at.x86_64 0:3.1.13-9.fc18 will be updated
---> Package at.x86_64 0:3.1.13-10.fc18 will be an update
---> Package curl.x86_64 0:7.27.0-4.fc18 will be updated
---> Package curl.x86_64 0:7.27.0-7.fc18 will be an update
--> Processing Dependency: libcurl = 7.27.0-7.fc18 for package: curl-7.27.0-7.fc18.x86_64
---> Package httpd.x86_64 0:2.4.3-15.fc18 will be installed
--> Processing Dependency: httpd-tools = 2.4.3-15.fc18 for package: httpd-2.4.3-15.fc18.x86_64
---> Package mod_perl.x86_64 0:2.0.7-12.20130221svn1448242.fc18 will be installed
--> Processing Dependency: perl(Linux::Pid) for package: mod_perl-2.0.7-12.20130221svn1448242.fc18.x86_64
--> Processing Dependency: perl(BSD::Resource) for package: mod_perl-2.0.7-12.20130221svn1448242.fc18.x86_64
---> Package mysql.x86_64 0:5.5.30-1.fc18 will be installed
--> Processing Dependency: real-mysql-libs(x86-64) = 5.5.30-1.fc18 for package: mysql-5.5.30-1.fc18.x86_64
---> Package mysql-server.x86_64 0:5.5.30-1.fc18 will be installed
--> Processing Dependency: perl-DBD-MySQL for package: mysql-server-5.5.30-1.fc18.x86_64
---> Package perl.x86_64 4:5.16.2-235.fc18 will be updated
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: 1:perl-parent-0.225-235.fc18.noarch
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: perl-Pod-Perldoc-3.17.00-235.fc18.noarch
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: perl-threads-1.86-235.fc18.x86_64
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: perl-Digest-1.17-235.fc18.noarch
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: perl-Digest-MD5-2.51-235.fc18.x86_64
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: 1:perl-Module-Pluggable-4.00-235.fc18.noarch
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: 4:perl-macros-5.16.2-235.fc18.x86_64
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: perl-ExtUtils-Manifest-1.61-235.fc18.noarch
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: perl-threads-shared-1.40-235.fc18.x86_64
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: perl-Test-Simple-0.98-235.fc18.noarch
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: 4:perl-libs-5.16.2-235.fc18.x86_64
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: 1:perl-Pod-Escapes-1.04-235.fc18.noarch
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: perl-CPAN-1.9800-235.fc18.noarch
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: perl-ExtUtils-Install-1.58-235.fc18.noarch
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: perl-Test-Harness-3.23-235.fc18.noarch
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: perl-Scalar-List-Utils-1.25-235.fc18.x86_64
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: 4:perl-devel-5.16.2-235.fc18.x86_64
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: 1:perl-ExtUtils-ParseXS-3.16-235.fc18.noarch
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: perl-Pod-Parser-1.51-235.fc18.noarch
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: perl-Carp-1.26-235.fc18.noarch
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: perl-Data-Dumper-2.135.06-235.fc18.x86_64
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: 1:perl-Pod-Simple-3.20-235.fc18.noarch
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: perl-ExtUtils-MakeMaker-6.63.2-235.fc18.noarch
--> Processing Dependency: perl = 4:5.16.2-235.fc18 for package: perl-PathTools-3.39.2-235.fc18.x86_64
---> Package perl.x86_64 4:5.16.2-240.fc18 will be an update
---> Package perl-Archive-Tar.noarch 0:1.88-5.fc18 will be installed
--> Processing Dependency: perl(IO::Zlib) >= 1.01 for package: perl-Archive-Tar-1.88-5.fc18.noarch
--> Processing Dependency: perl(Package::Constants) for package: perl-Archive-Tar-1.88-5.fc18.noarch
--> Processing Dependency: perl(IO::Zlib) for package: perl-Archive-Tar-1.88-5.fc18.noarch
---> Package perl-DBI.x86_64 0:1.623-1.fc18 will be installed
--> Processing Dependency: perl(RPC::PlServer) >= 0.2001 for package: perl-DBI-1.623-1.fc18.x86_64
--> Processing Dependency: perl(RPC::PlClient) >= 0.2000 for package: perl-DBI-1.623-1.fc18.x86_64
--> Processing Dependency: perl(Coro::Select) for package: perl-DBI-1.623-1.fc18.x86_64
--> Processing Dependency: perl(Coro::Handle) for package: perl-DBI-1.623-1.fc18.x86_64
--> Processing Dependency: perl(Coro) for package: perl-DBI-1.623-1.fc18.x86_64
---> Package perl-Digest-SHA1.x86_64 0:2.13-6.fc18 will be installed
---> Package perl-ExtUtils-AutoInstall.noarch 0:0.63-19.fc18 will be installed
---> Package perl-Net-DNS.x86_64 0:0.68-5.fc18 will be installed
--> Processing Dependency: perl(Digest::HMAC_MD5) >= 1 for package: perl-Net-DNS-0.68-5.fc18.x86_64
---> Package perl-NetAddr-IP.x86_64 0:4.066-1.fc18 will be installed
---> Package perl-libwww-perl.noarch 0:6.04-3.fc18 will be updated
---> Package perl-libwww-perl.noarch 0:6.05-1.fc18 will be an update
--> Processing Dependency: perl(Net::HTTP) >= 6.04 for package: perl-libwww-perl-6.05-1.fc18.noarch
---> Package php.x86_64 0:5.4.12-1.fc18 will be installed
--> Processing Dependency: php-cli(x86-64) = 5.4.12-1.fc18 for package: php-5.4.12-1.fc18.x86_64
---> Package php-common.x86_64 0:5.4.12-1.fc18 will be installed
--> Processing Dependency: libzip.so.2()(64bit) for package: php-common-5.4.12-1.fc18.x86_64
---> Package php-gd.x86_64 0:5.4.12-1.fc18 will be installed
---> Package php-imap.x86_64 0:5.4.12-1.fc18 will be installed
--> Processing Dependency: libc-client.so.2007()(64bit) for package: php-imap-5.4.12-1.fc18.x86_64
---> Package php-ldap.x86_64 0:5.4.12-1.fc18 will be installed
---> Package php-magickwand.x86_64 0:1.0.9-4.fc18 will be installed
---> Package php-mbstring.x86_64 0:5.4.12-1.fc18 will be installed
---> Package php-mcrypt.x86_64 0:5.4.12-1.fc18 will be installed
--> Processing Dependency: libmcrypt.so.4()(64bit) for package: php-mcrypt-5.4.12-1.fc18.x86_64
---> Package php-mysql.x86_64 0:5.4.12-1.fc18 will be installed
--> Processing Dependency: php-pdo(x86-64) = 5.4.12-1.fc18 for package: php-mysql-5.4.12-1.fc18.x86_64
---> Package php-odbc.x86_64 0:5.4.12-1.fc18 will be installed
--> Processing Dependency: libodbc.so.2()(64bit) for package: php-odbc-5.4.12-1.fc18.x86_64
---> Package php-pear.noarch 1:1.9.4-11.fc18.2 will be installed
---> Package php-pecl-apc.x86_64 0:3.1.14-1.fc18 will be installed
---> Package php-tidy.x86_64 0:5.4.12-1.fc18 will be installed
--> Processing Dependency: libtidy-0.99.so.0()(64bit) for package: php-tidy-5.4.12-1.fc18.x86_64
---> Package php-xml.x86_64 0:5.4.12-1.fc18 will be installed
---> Package php-xmlrpc.x86_64 0:5.4.12-1.fc18 will be installed
---> Package phpMyAdmin.noarch 0:3.5.7-1.fc18 will be installed
--> Processing Dependency: php-php-gettext for package: phpMyAdmin-3.5.7-1.fc18.noarch
--> Running transaction check
---> Package httpd-tools.x86_64 0:2.4.3-15.fc18 will be installed
---> Package libc-client.x86_64 0:2007f-3.fc18 will be installed
---> Package libcurl.x86_64 0:7.27.0-4.fc18 will be updated
---> Package libcurl.x86_64 0:7.27.0-7.fc18 will be an update
--> Processing Dependency: libssh2(x86-64) >= 1.4.3 for package: libcurl-7.27.0-7.fc18.x86_64
---> Package libmcrypt.x86_64 0:2.5.8-12.fc18 will be installed
---> Package libtidy.x86_64 0:0.99.0-26.20091203.fc18 will be installed
---> Package libzip.x86_64 0:0.10.1-5.fc18 will be installed
---> Package mysql-libs.x86_64 0:5.5.28-1.fc18 will be updated
---> Package mysql-libs.x86_64 0:5.5.30-1.fc18 will be an update
---> Package perl-BSD-Resource.x86_64 0:1.29.04-12.fc18 will be installed
---> Package perl-CPAN.noarch 0:1.9800-235.fc18 will be updated
---> Package perl-CPAN.noarch 0:1.9800-240.fc18 will be an update
---> Package perl-Carp.noarch 0:1.26-235.fc18 will be updated
---> Package perl-Carp.noarch 0:1.26-240.fc18 will be an update
---> Package perl-Coro.x86_64 0:6.09-4.fc18 will be installed
--> Processing Dependency: perl(IO::AIO) >= 3.1 for package: perl-Coro-6.09-4.fc18.x86_64
--> Processing Dependency: perl(Guard) >= 0.5 for package: perl-Coro-6.09-4.fc18.x86_64
--> Processing Dependency: perl(Event) >= 1.08 for package: perl-Coro-6.09-4.fc18.x86_64
--> Processing Dependency: perl(EV) >= 3 for package: perl-Coro-6.09-4.fc18.x86_64
--> Processing Dependency: perl(AnyEvent::BDB) >= 1 for package: perl-Coro-6.09-4.fc18.x86_64
--> Processing Dependency: perl(AnyEvent::AIO) >= 1 for package: perl-Coro-6.09-4.fc18.x86_64
--> Processing Dependency: perl(AnyEvent) >= 5 for package: perl-Coro-6.09-4.fc18.x86_64
--> Processing Dependency: perl(common::sense) for package: perl-Coro-6.09-4.fc18.x86_64
--> Processing Dependency: perl(BDB) for package: perl-Coro-6.09-4.fc18.x86_64
--> Processing Dependency: perl(AnyEvent::Util) for package: perl-Coro-6.09-4.fc18.x86_64
--> Processing Dependency: perl(AnyEvent::Socket) for package: perl-Coro-6.09-4.fc18.x86_64
--> Processing Dependency: perl(AnyEvent::DNS) for package: perl-Coro-6.09-4.fc18.x86_64
---> Package perl-DBD-MySQL.x86_64 0:4.022-1.fc18 will be installed
---> Package perl-Data-Dumper.x86_64 0:2.135.06-235.fc18 will be updated
---> Package perl-Data-Dumper.x86_64 0:2.135.06-240.fc18 will be an update
---> Package perl-Digest.noarch 0:1.17-235.fc18 will be updated
---> Package perl-Digest.noarch 0:1.17-240.fc18 will be an update
---> Package perl-Digest-HMAC.noarch 0:1.03-4.fc18 will be installed
---> Package perl-Digest-MD5.x86_64 0:2.51-235.fc18 will be updated
---> Package perl-Digest-MD5.x86_64 0:2.51-240.fc18 will be an update
---> Package perl-ExtUtils-Install.noarch 0:1.58-235.fc18 will be updated
---> Package perl-ExtUtils-Install.noarch 0:1.58-240.fc18 will be an update
---> Package perl-ExtUtils-MakeMaker.noarch 0:6.63.2-235.fc18 will be updated
---> Package perl-ExtUtils-MakeMaker.noarch 0:6.63.2-240.fc18 will be an update
---> Package perl-ExtUtils-Manifest.noarch 0:1.61-235.fc18 will be updated
---> Package perl-ExtUtils-Manifest.noarch 0:1.61-240.fc18 will be an update
---> Package perl-ExtUtils-ParseXS.noarch 1:3.16-235.fc18 will be updated
---> Package perl-ExtUtils-ParseXS.noarch 1:3.16-240.fc18 will be an update
---> Package perl-IO-Zlib.noarch 1:1.10-240.fc18 will be installed
---> Package perl-Linux-Pid.x86_64 0:0.04-16.fc18 will be installed
---> Package perl-Module-Pluggable.noarch 1:4.00-235.fc18 will be updated
---> Package perl-Module-Pluggable.noarch 1:4.00-240.fc18 will be an update
---> Package perl-Net-HTTP.noarch 0:6.03-4.fc18 will be updated
---> Package perl-Net-HTTP.noarch 0:6.06-1.fc18 will be an update
---> Package perl-Package-Constants.noarch 1:0.02-240.fc18 will be installed
---> Package perl-PathTools.x86_64 0:3.39.2-235.fc18 will be updated
---> Package perl-PathTools.x86_64 0:3.39.2-240.fc18 will be an update
---> Package perl-PlRPC.noarch 0:0.2020-11.fc18 will be installed
--> Processing Dependency: perl(Net::Daemon) >= 0.13 for package: perl-PlRPC-0.2020-11.fc18.noarch
--> Processing Dependency: perl(Net::Daemon::Test) for package: perl-PlRPC-0.2020-11.fc18.noarch
--> Processing Dependency: perl(Net::Daemon::Log) for package: perl-PlRPC-0.2020-11.fc18.noarch
---> Package perl-Pod-Escapes.noarch 1:1.04-235.fc18 will be updated
---> Package perl-Pod-Escapes.noarch 1:1.04-240.fc18 will be an update
---> Package perl-Pod-Parser.noarch 0:1.51-235.fc18 will be updated
---> Package perl-Pod-Parser.noarch 0:1.51-240.fc18 will be an update
---> Package perl-Pod-Perldoc.noarch 0:3.17.00-235.fc18 will be updated
---> Package perl-Pod-Perldoc.noarch 0:3.17.00-240.fc18 will be an update
---> Package perl-Pod-Simple.noarch 1:3.20-235.fc18 will be updated
---> Package perl-Pod-Simple.noarch 1:3.20-240.fc18 will be an update
---> Package perl-Scalar-List-Utils.x86_64 0:1.25-235.fc18 will be updated
---> Package perl-Scalar-List-Utils.x86_64 0:1.25-240.fc18 will be an update
---> Package perl-Test-Harness.noarch 0:3.23-235.fc18 will be updated
---> Package perl-Test-Harness.noarch 0:3.23-240.fc18 will be an update
---> Package perl-Test-Simple.noarch 0:0.98-235.fc18 will be updated
---> Package perl-Test-Simple.noarch 0:0.98-240.fc18 will be an update
---> Package perl-devel.x86_64 4:5.16.2-235.fc18 will be updated
---> Package perl-devel.x86_64 4:5.16.2-240.fc18 will be an update
---> Package perl-libs.x86_64 4:5.16.2-235.fc18 will be updated
---> Package perl-libs.x86_64 4:5.16.2-240.fc18 will be an update
---> Package perl-macros.x86_64 4:5.16.2-235.fc18 will be updated
---> Package perl-macros.x86_64 4:5.16.2-240.fc18 will be an update
---> Package perl-parent.noarch 1:0.225-235.fc18 will be updated
---> Package perl-parent.noarch 1:0.225-240.fc18 will be an update
---> Package perl-threads.x86_64 0:1.86-235.fc18 will be updated
---> Package perl-threads.x86_64 0:1.86-240.fc18 will be an update
---> Package perl-threads-shared.x86_64 0:1.40-235.fc18 will be updated
---> Package perl-threads-shared.x86_64 0:1.40-240.fc18 will be an update
---> Package php-cli.x86_64 0:5.4.12-1.fc18 will be installed
---> Package php-pdo.x86_64 0:5.4.12-1.fc18 will be installed
---> Package php-php-gettext.noarch 0:1.0.11-6.fc18 will be installed
---> Package unixODBC.x86_64 0:2.3.1-2.fc18 will be installed
--> Running transaction check
---> Package libssh2.x86_64 0:1.4.2-2.fc18 will be updated
---> Package libssh2.x86_64 0:1.4.3-1.fc18 will be an update
---> Package perl-AnyEvent.x86_64 0:7.04-1.fc18 will be installed
--> Processing Dependency: perl(Task::Weaken) for package: perl-AnyEvent-7.04-1.fc18.x86_64
---> Package perl-AnyEvent-AIO.noarch 0:1.1-10.fc18 will be installed
---> Package perl-AnyEvent-BDB.noarch 0:1.1-9.fc18 will be installed
---> Package perl-BDB.x86_64 0:1.90-3.fc18 will be installed
---> Package perl-EV.x86_64 0:4.11-1.fc18 will be installed
---> Package perl-Event.x86_64 0:1.20-3.fc18 will be installed
---> Package perl-Guard.x86_64 0:1.022-3.fc18 will be installed
---> Package perl-IO-AIO.x86_64 0:4.15-3.fc18 will be installed
---> Package perl-Net-Daemon.noarch 0:0.48-3.fc18 will be installed
---> Package perl-common-sense.noarch 0:3.6-3.fc18 will be installed
--> Running transaction check
---> Package perl-Task-Weaken.noarch 0:1.04-4.fc18 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                  Arch   Version                          Repository
                                                                           Size
================================================================================
Installing:
 httpd                    x86_64 2.4.3-15.fc18                    updates 1.1 M
 mod_perl                 x86_64 2.0.7-12.20130221svn1448242.fc18 updates 3.0 M
 mysql                    x86_64 5.5.30-1.fc18                    updates 4.5 M
 mysql-server             x86_64 5.5.30-1.fc18                    updates 8.3 M
 perl-Archive-Tar         noarch 1.88-5.fc18                      fedora   72 k
 perl-DBI                 x86_64 1.623-1.fc18                     updates 804 k
 perl-Digest-SHA1         x86_64 2.13-6.fc18                      fedora   50 k
 perl-ExtUtils-AutoInstall
                          noarch 0.63-19.fc18                     fedora   26 k
 perl-Net-DNS             x86_64 0.68-5.fc18                      fedora  271 k
 perl-NetAddr-IP          x86_64 4.066-1.fc18                     fedora  122 k
 php                      x86_64 5.4.12-1.fc18                    updates 2.7 M
 php-common               x86_64 5.4.12-1.fc18                    updates 839 k
 php-gd                   x86_64 5.4.12-1.fc18                    updates 147 k
 php-imap                 x86_64 5.4.12-1.fc18                    updates  77 k
 php-ldap                 x86_64 5.4.12-1.fc18                    updates  55 k
 php-magickwand           x86_64 1.0.9-4.fc18                     fedora  106 k
 php-mbstring             x86_64 5.4.12-1.fc18                    updates 546 k
 php-mcrypt               x86_64 5.4.12-1.fc18                    updates  47 k
 php-mysql                x86_64 5.4.12-1.fc18                    updates 140 k
 php-odbc                 x86_64 5.4.12-1.fc18                    updates  77 k
 php-pear                 noarch 1:1.9.4-11.fc18.2                updates 352 k
 php-pecl-apc             x86_64 3.1.14-1.fc18                    updates 148 k
 php-tidy                 x86_64 5.4.12-1.fc18                    updates  52 k
 php-xml                  x86_64 5.4.12-1.fc18                    updates 184 k
 php-xmlrpc               x86_64 5.4.12-1.fc18                    updates  70 k
 phpMyAdmin               noarch 3.5.7-1.fc18                     updates 4.2 M
Updating:
 at                       x86_64 3.1.13-10.fc18                   fedora   66 k
 curl                     x86_64 7.27.0-7.fc18                    updates 254 k
 perl                     x86_64 4:5.16.2-240.fc18                updates 9.9 M
 perl-libwww-perl         noarch 6.05-1.fc18                      updates 204 k
Installing for dependencies:
 httpd-tools              x86_64 2.4.3-15.fc18                    updates  78 k
 libc-client              x86_64 2007f-3.fc18                     fedora  555 k
 libmcrypt                x86_64 2.5.8-12.fc18                    fedora   99 k
 libtidy                  x86_64 0.99.0-26.20091203.fc18          fedora  132 k
 libzip                   x86_64 0.10.1-5.fc18                    fedora   48 k
 perl-AnyEvent            x86_64 7.04-1.fc18                      fedora  425 k
 perl-AnyEvent-AIO        noarch 1.1-10.fc18                      fedora  8.6 k
 perl-AnyEvent-BDB        noarch 1.1-9.fc18                       fedora  8.6 k
 perl-BDB                 x86_64 1.90-3.fc18                      fedora   72 k
 perl-BSD-Resource        x86_64 1.29.04-12.fc18                  fedora   37 k
 perl-Coro                x86_64 6.09-4.fc18                      fedora  251 k
 perl-DBD-MySQL           x86_64 4.022-1.fc18                     fedora  137 k
 perl-Digest-HMAC         noarch 1.03-4.fc18                      fedora   15 k
 perl-EV                  x86_64 4.11-1.fc18                      fedora  256 k
 perl-Event               x86_64 1.20-3.fc18                      fedora  282 k
 perl-Guard               x86_64 1.022-3.fc18                     fedora   19 k
 perl-IO-AIO              x86_64 4.15-3.fc18                      fedora  111 k
 perl-IO-Zlib             noarch 1:1.10-240.fc18                  updates  44 k
 perl-Linux-Pid           x86_64 0.04-16.fc18                     fedora   13 k
 perl-Net-Daemon          noarch 0.48-3.fc18                      fedora   51 k
 perl-Package-Constants   noarch 1:0.02-240.fc18                  updates  38 k
 perl-PlRPC               noarch 0.2020-11.fc18                   fedora   34 k
 perl-Task-Weaken         noarch 1.04-4.fc18                      fedora   18 k
 perl-common-sense        noarch 3.6-3.fc18                       fedora   27 k
 php-cli                  x86_64 5.4.12-1.fc18                    updates 2.5 M
 php-pdo                  x86_64 5.4.12-1.fc18                    updates 129 k
 php-php-gettext          noarch 1.0.11-6.fc18                    fedora   21 k
 unixODBC                 x86_64 2.3.1-2.fc18                     fedora  400 k
Updating for dependencies:
 libcurl                  x86_64 7.27.0-7.fc18                    updates 207 k
 libssh2                  x86_64 1.4.3-1.fc18                     updates 132 k
 mysql-libs               x86_64 5.5.30-1.fc18                    updates 708 k
 perl-CPAN                noarch 1.9800-240.fc18                  updates 286 k
 perl-Carp                noarch 1.26-240.fc18                    updates  48 k
 perl-Data-Dumper         x86_64 2.135.06-240.fc18                updates  71 k
 perl-Digest              noarch 1.17-240.fc18                    updates  50 k
 perl-Digest-MD5          x86_64 2.51-240.fc18                    updates  52 k
 perl-ExtUtils-Install    noarch 1.58-240.fc18                    updates  67 k
 perl-ExtUtils-MakeMaker  noarch 6.63.2-240.fc18                  updates 266 k
 perl-ExtUtils-Manifest   noarch 1.61-240.fc18                    updates  47 k
 perl-ExtUtils-ParseXS    noarch 1:3.16-240.fc18                  updates  99 k
 perl-Module-Pluggable    noarch 1:4.00-240.fc18                  updates  51 k
 perl-Net-HTTP            noarch 6.06-1.fc18                      updates  28 k
 perl-PathTools           x86_64 3.39.2-240.fc18                  updates 106 k
 perl-Pod-Escapes         noarch 1:1.04-240.fc18                  updates  44 k
 perl-Pod-Parser          noarch 1.51-240.fc18                    updates 155 k
 perl-Pod-Perldoc         noarch 3.17.00-240.fc18                 updates 103 k
 perl-Pod-Simple          noarch 1:3.20-240.fc18                  updates 232 k
 perl-Scalar-List-Utils   x86_64 1.25-240.fc18                    updates  60 k
 perl-Test-Harness        noarch 3.23-240.fc18                    updates 284 k
 perl-Test-Simple         noarch 0.98-240.fc18                    updates 127 k
 perl-devel               x86_64 4:5.16.2-240.fc18                updates 480 k
 perl-libs                x86_64 4:5.16.2-240.fc18                updates 664 k
 perl-macros              x86_64 4:5.16.2-240.fc18                updates  36 k
 perl-parent              noarch 1:0.225-240.fc18                 updates  39 k
 perl-threads             x86_64 1.86-240.fc18                    updates  74 k
 perl-threads-shared      x86_64 1.40-240.fc18                    updates  64 k

Transaction Summary
================================================================================
Install  26 Packages (+28 Dependent packages)
Upgrade   4 Packages (+28 Dependent packages)

Total size: 48 M
Total download size: 48 M
Downloading Packages:
Setting up and reading Presto delta metadata
http://mirrors.ustc.edu.cn/fedora/linux/updates/18/x86_64/repodata/500e97e0d0c87a344b4c81eabd38003382ae904c5150e0b1fb588235f44f8cc0-prestodelta.xml.gz: [Errno 14] HTTP Error 404 - Not Found : http://mirrors.ustc.edu.cn/fedora/linux/updates/18/x86_64/repodata/500e97e0d0c87a344b4c81eabd38003382ae904c5150e0b1fb588235f44f8cc0-prestodelta.xml.gz
Trying other mirror.
updates/prestodelta                                      | 1.9 MB     01:32     
Processing delta metadata
Download delta size: 2.3 M
(1/29): libcurl-7.27.0-4.fc18_7.27.0-7.fc18.x86_64.drpm    |  57 kB   00:18     
(2/29): curl-7.27.0-4.fc18_7.27.0-7.fc18.x86_64.drpm       | 148 kB   00:21     
(3/29): libssh2-1.4.2-2.fc18_1.4.3-1.fc18.x86_64.drpm      |  32 kB   00:01     
(4/29): mysql-libs-5.5.28-1.fc18_5.5.30-1.fc18.x86_64.drpm |  79 kB   00:04     
(5/29): perl-Data-Dumper-2.135.06-235.fc18_2.135.06-240.fc |  36 kB   00:01     
(6/29): perl-CPAN-1.9800-235.fc18_1.9800-240.fc18.noarch.d |  58 kB   00:02     
(7/29): perl-Digest-1.17-235.fc18_1.17-240.fc18.noarch.drp |  35 kB   00:01     
(8/29): perl-Digest-MD5-2.51-235.fc18_2.51-240.fc18.x86_64 |  35 kB   00:02     
(9/29): perl-ExtUtils-Install-1.58-235.fc18_1.58-240.fc18. |  36 kB   00:02     
(10/29): perl-ExtUtils-Manifest-1.61-235.fc18_1.61-240.fc1 |  35 kB   00:02     
(11/29): perl-ExtUtils-MakeMaker-6.63.2-235.fc18_6.63.2-24 |  81 kB   00:03     
(12/29): perl-Module-Pluggable-4.00-235.fc18_4.00-240.fc18 |  36 kB   00:01     
(13/29): perl-ExtUtils-ParseXS-3.16-235.fc18_3.16-240.fc18 |  42 kB   00:01     
(14/29): perl-5.16.2-235.fc18_5.16.2-240.fc18.x86_64.drpm  | 915 kB   00:18     
(15/29): perl-PathTools-3.39.2-235.fc18_3.39.2-240.fc18.x8 |  38 kB   00:01     
(16/29): perl-Pod-Escapes-1.04-235.fc18_1.04-240.fc18.noar |  35 kB   00:01     
(17/29): perl-Pod-Parser-1.51-235.fc18_1.51-240.fc18.noarc |  46 kB   00:01     
(18/29): perl-Pod-Perldoc-3.17.00-235.fc18_3.17.00-240.fc1 |  40 kB   00:01     
(19/29): perl-Pod-Simple-3.20-235.fc18_3.20-240.fc18.noarc |  44 kB   00:01     
(20/29): perl-Scalar-List-Utils-1.25-235.fc18_1.25-240.fc1 |  36 kB   00:01     
(21/29): perl-Test-Harness-3.23-235.fc18_3.23-240.fc18.noa |  62 kB   00:01     
(22/29): perl-Test-Simple-0.98-235.fc18_0.98-240.fc18.noar |  37 kB   00:01     
(23/29): perl-devel-5.16.2-235.fc18_5.16.2-240.fc18.x86_64 |  65 kB   00:01     
(24/29): perl-libs-5.16.2-235.fc18_5.16.2-240.fc18.x86_64. |  60 kB   00:02     
(25/29): perl-libwww-perl-6.04-3.fc18_6.05-1.fc18.noarch.d |  89 kB   00:01     
(26/29): perl-macros-5.16.2-235.fc18_5.16.2-240.fc18.x86_6 |  34 kB   00:02     
(27/29): perl-parent-0.225-235.fc18_0.225-240.fc18.noarch. |  35 kB   00:00     
(28/29): perl-threads-1.86-235.fc18_1.86-240.fc18.x86_64.d |  36 kB   00:01     
(29/29): perl-threads-shared-1.40-235.fc18_1.40-240.fc18.x |  36 kB   00:00     
Finishing rebuild of rpms, from deltarpms
                           |  15 MB     00:03     
Presto reduced the update size by 85% (from 15 M to 2.3 M).
Package(s) data still to download: 94 k
(1/56): httpd-tools-2.4.3-15.fc18.x86_64.rpm               |  78 kB   00:03     
(2/56): at-3.1.13-10.fc18.x86_64.rpm                       |  66 kB   00:08     
(3/56): libmcrypt-2.5.8-12.fc18.x86_64.rpm                 |  99 kB   00:12     
(4/56): libzip-0.10.1-5.fc18.x86_64.rpm                    |  48 kB   00:04     
(5/56): libtidy-0.99.0-26.20091203.fc18.x86_64.rpm         | 132 kB   00:11     
(6/56): httpd-2.4.3-15.fc18.x86_64.rpm                     | 1.1 MB   00:28     
(7/56): libc-client-2007f-3.fc18.x86_64.rpm                | 555 kB   00:29     
(8/56): perl-AnyEvent-7.04-1.fc18.x86_64.rpm               | 425 kB   00:10     
(9/56): perl-AnyEvent-AIO-1.1-10.fc18.noarch.rpm           | 8.6 kB   00:00     
(10/56): perl-AnyEvent-BDB-1.1-9.fc18.noarch.rpm           | 8.6 kB   00:00     
(11/56): perl-Archive-Tar-1.88-5.fc18.noarch.rpm           |  72 kB   00:03     
(12/56): perl-BDB-1.90-3.fc18.x86_64.rpm                   |  72 kB   00:03     
(13/56): perl-BSD-Resource-1.29.04-12.fc18.x86_64.rpm      |  37 kB   00:03     
(14/56): perl-Coro-6.09-4.fc18.x86_64.rpm                  | 251 kB   00:14     
(15/56): perl-DBD-MySQL-4.022-1.fc18.x86_64.rpm            | 137 kB   00:05     
(16/56): mod_perl-2.0.7-12.20130221svn1448242.fc18.x86_64. | 3.0 MB   02:52     
(17/56): mysql-5.5.30-1.fc18.x86_64.rpm                    | 4.5 MB   03:06     
(18/56): mysql-server-5.5.30-1.fc18.x86_64.rpm             | 8.3 MB   03:34     
(19/56): perl-Digest-HMAC-1.03-4.fc18.noarch.rpm           |  15 kB   00:00     
(20/56): perl-Digest-SHA1-2.13-6.fc18.x86_64.rpm           |  50 kB   00:01     
(21/56): perl-EV-4.11-1.fc18.x86_64.rpm                    | 256 kB   00:06     
(22/56): perl-Event-1.20-3.fc18.x86_64.rpm                 | 282 kB   00:07     
(23/56): perl-ExtUtils-AutoInstall-0.63-19.fc18.noarch.rpm |  26 kB   00:01     
(24/56): perl-Guard-1.022-3.fc18.x86_64.rpm                |  19 kB   00:00     
(25/56): perl-IO-Zlib-1.10-240.fc18.noarch.rpm             |  44 kB   00:02     
(26/56): perl-DBI-1.623-1.fc18.x86_64.rpm                  | 804 kB   00:20     
(27/56): perl-IO-AIO-4.15-3.fc18.x86_64.rpm                | 111 kB   00:04     
(28/56): perl-Linux-Pid-0.04-16.fc18.x86_64.rpm            |  13 kB   00:00     
(29/56): perl-Net-DNS-0.68-5.fc18.x86_64.rpm               | 271 kB   00:07     
(30/56): perl-Net-HTTP-6.06-1.fc18.noarch.rpm              |  28 kB   00:01     
(31/56): perl-Net-Daemon-0.48-3.fc18.noarch.rpm            |  51 kB   00:01     
(32/56): perl-Package-Constants-0.02-240.fc18.noarch.rpm   |  38 kB   00:00     
(33/56): perl-NetAddr-IP-4.066-1.fc18.x86_64.rpm           | 122 kB   00:03     
(34/56): perl-PlRPC-0.2020-11.fc18.noarch.rpm              |  34 kB   00:01     
(35/56): perl-Task-Weaken-1.04-4.fc18.noarch.rpm           |  18 kB   00:00     
(36/56): perl-common-sense-3.6-3.fc18.noarch.rpm           |  27 kB   00:01     
(37/56): php-common-5.4.12-1.fc18.x86_64.rpm               | 839 kB   00:47     
php-cli-5.4.12-1.fc18.x86_64.r FAILED                                           
http://mirror.nus.edu.sg/fedora/linux/updates/18/x86_64/php-cli-5.4.12-1.fc18.x86_64.rpm: [Errno 14] HTTP Error 200 - OK : http://mirror.nus.edu.sg/fedora/linux/updates/18/x86_64/php-cli-5.4.12-1.fc18.x86_64.rpm
Trying other mirror.
(38/56): php-5.4.12-1.fc18.x86_64.rpm                      | 2.7 MB   01:14     
(39/56): php-gd-5.4.12-1.fc18.x86_64.rpm                   | 147 kB   00:03     
(40/56): php-imap-5.4.12-1.fc18.x86_64.rpm                 |  77 kB   00:03     
(41/56): php-magickwand-1.0.9-4.fc18.x86_64.rpm            | 106 kB   00:06     
(42/56): php-ldap-5.4.12-1.fc18.x86_64.rpm                 |  55 kB   00:09     
(43/56): php-mcrypt-5.4.12-1.fc18.x86_64.rpm               |  47 kB   00:02     
(44/56): php-mbstring-5.4.12-1.fc18.x86_64.rpm             | 546 kB   00:23     
(45/56): php-mysql-5.4.12-1.fc18.x86_64.rpm                | 140 kB   00:04     
(46/56): php-odbc-5.4.12-1.fc18.x86_64.rpm                 |  77 kB   00:11     
(47/56): php-pdo-5.4.12-1.fc18.x86_64.rpm                  | 129 kB   00:10     
(48/56): php-php-gettext-1.0.11-6.fc18.noarch.rpm          |  21 kB   00:01     
(49/56): php-pecl-apc-3.1.14-1.fc18.x86_64.rpm             | 148 kB   00:03     
(50/56): php-pear-1.9.4-11.fc18.2.noarch.rpm               | 352 kB   00:08     
(51/56): php-xml-5.4.12-1.fc18.x86_64.rpm                  | 184 kB   00:03     
(52/56): php-tidy-5.4.12-1.fc18.x86_64.rpm                 |  52 kB   00:03     
(53/56): php-xmlrpc-5.4.12-1.fc18.x86_64.rpm               |  70 kB   00:02     
(54/56): unixODBC-2.3.1-2.fc18.x86_64.rpm                  | 400 kB   00:10     
(55/56): php-cli-5.4.12-1.fc18.x86_64.rpm                  | 2.5 MB   00:29     
(56/56): phpMyAdmin-3.5.7-1.fc18.noarch.rpm                | 4.2 MB   02:27     
--------------------------------------------------------------------------------
Total                                            61 kB/s |  34 MB     09:26     
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : mysql-libs-5.5.30-1.fc18.x86_64                            1/118 
  Updating   : 1:perl-parent-0.225-240.fc18.noarch                        2/118 
  Updating   : 1:perl-Pod-Escapes-1.04-240.fc18.noarch                    3/118 
  Updating   : perl-Pod-Perldoc-3.17.00-240.fc18.noarch                   4/118 
  Updating   : perl-Carp-1.26-240.fc18.noarch                             5/118 
  Updating   : 4:perl-macros-5.16.2-240.fc18.x86_64                       6/118 
  Updating   : perl-threads-1.86-240.fc18.x86_64                          7/118 
  Updating   : 4:perl-libs-5.16.2-240.fc18.x86_64                         8/118 
  Updating   : perl-threads-shared-1.40-240.fc18.x86_64                   9/118 
  Updating   : perl-Scalar-List-Utils-1.25-240.fc18.x86_64               10/118 
  Updating   : 1:perl-Pod-Simple-3.20-240.fc18.noarch                    11/118 
  Updating   : perl-PathTools-3.39.2-240.fc18.x86_64                     12/118 
  Updating   : 1:perl-Module-Pluggable-4.00-240.fc18.noarch              13/118 
  Updating   : perl-Pod-Parser-1.51-240.fc18.noarch                      14/118 
  Updating   : 4:perl-5.16.2-240.fc18.x86_64                             15/118 
  Updating   : perl-Data-Dumper-2.135.06-240.fc18.x86_64                 16/118 
  Installing : perl-common-sense-3.6-3.fc18.noarch                       17/118 
  Installing : perl-BDB-1.90-3.fc18.x86_64                               18/118 
  Installing : perl-IO-AIO-4.15-3.fc18.x86_64                            19/118 
  Updating   : perl-Net-HTTP-6.06-1.fc18.noarch                          20/118 
  Installing : perl-EV-4.11-1.fc18.x86_64                                21/118 
  Updating   : perl-Test-Harness-3.23-240.fc18.noarch                    22/118 
  Updating   : 1:perl-ExtUtils-ParseXS-3.16-240.fc18.noarch              23/118 
  Updating   : perl-ExtUtils-Manifest-1.61-240.fc18.noarch               24/118 
  Updating   : 4:perl-devel-5.16.2-240.fc18.x86_64                       25/118 
  Updating   : perl-ExtUtils-MakeMaker-6.63.2-240.fc18.noarch            26/118 
  Updating   : perl-ExtUtils-Install-1.58-240.fc18.noarch                27/118 
  Installing : perl-Net-Daemon-0.48-3.fc18.noarch                        28/118 
  Installing : perl-PlRPC-0.2020-11.fc18.noarch                          29/118 
  Installing : 1:perl-IO-Zlib-1.10-240.fc18.noarch                       30/118 
  Updating   : perl-Digest-1.17-240.fc18.noarch                          31/118 
  Updating   : perl-Digest-MD5-2.51-240.fc18.x86_64                      32/118 
  Installing : perl-Digest-HMAC-1.03-4.fc18.noarch                       33/118 
  Installing : perl-Guard-1.022-3.fc18.x86_64                            34/118 
  Installing : httpd-tools-2.4.3-15.fc18.x86_64                          35/118 
  Installing : httpd-2.4.3-15.fc18.x86_64                                36/118 
  Installing : perl-BSD-Resource-1.29.04-12.fc18.x86_64                  37/118 
  Installing : perl-Event-1.20-3.fc18.x86_64                             38/118 
  Installing : 1:perl-Package-Constants-0.02-240.fc18.noarch             39/118 
  Installing : perl-Linux-Pid-0.04-16.fc18.x86_64                        40/118 
  Installing : mysql-5.5.30-1.fc18.x86_64                                41/118 
  Installing : perl-Task-Weaken-1.04-4.fc18.noarch                       42/118 
  Installing : perl-AnyEvent-7.04-1.fc18.x86_64                          43/118 
  Installing : perl-AnyEvent-AIO-1.1-10.fc18.noarch                      44/118 
  Installing : perl-AnyEvent-BDB-1.1-9.fc18.noarch                       45/118 
  Installing : perl-Coro-6.09-4.fc18.x86_64                              46/118 
  Installing : perl-DBI-1.623-1.fc18.x86_64                              47/118 
  Installing : perl-DBD-MySQL-4.022-1.fc18.x86_64                        48/118 
  Installing : libmcrypt-2.5.8-12.fc18.x86_64                            49/118 
  Updating   : libssh2-1.4.3-1.fc18.x86_64                               50/118 
  Updating   : libcurl-7.27.0-7.fc18.x86_64                              51/118 
  Installing : libc-client-2007f-3.fc18.x86_64                           52/118 
  Installing : libtidy-0.99.0-26.20091203.fc18.x86_64                    53/118 
  Installing : libzip-0.10.1-5.fc18.x86_64                               54/118 
  Installing : php-common-5.4.12-1.fc18.x86_64                           55/118 
  Installing : php-mbstring-5.4.12-1.fc18.x86_64                         56/118 
  Installing : php-cli-5.4.12-1.fc18.x86_64                              57/118 
  Installing : php-pdo-5.4.12-1.fc18.x86_64                              58/118 
  Installing : php-mysql-5.4.12-1.fc18.x86_64                            59/118 
  Installing : php-5.4.12-1.fc18.x86_64                                  60/118 
  Installing : 1:php-pear-1.9.4-11.fc18.2.noarch                         61/118 
  Installing : php-php-gettext-1.0.11-6.fc18.noarch                      62/118 
  Installing : php-gd-5.4.12-1.fc18.x86_64                               63/118 
  Installing : php-mcrypt-5.4.12-1.fc18.x86_64                           64/118 
  Installing : unixODBC-2.3.1-2.fc18.x86_64                              65/118 
  Installing : php-odbc-5.4.12-1.fc18.x86_64                             66/118 
  Installing : phpMyAdmin-3.5.7-1.fc18.noarch                            67/118 
  Installing : php-pecl-apc-3.1.14-1.fc18.x86_64                         68/118 
  Installing : php-ldap-5.4.12-1.fc18.x86_64                             69/118 
  Installing : php-tidy-5.4.12-1.fc18.x86_64                             70/118 
  Installing : php-imap-5.4.12-1.fc18.x86_64                             71/118 
  Installing : php-xmlrpc-5.4.12-1.fc18.x86_64                           72/118 
  Installing : php-magickwand-1.0.9-4.fc18.x86_64                        73/118 
  Installing : php-xml-5.4.12-1.fc18.x86_64                              74/118 
  Updating   : curl-7.27.0-7.fc18.x86_64                                 75/118 
  Installing : mysql-server-5.5.30-1.fc18.x86_64                         76/118 
  Installing : mod_perl-2.0.7-12.20130221svn1448242.fc18.x86_64          77/118 
  Installing : perl-Archive-Tar-1.88-5.fc18.noarch                       78/118 
  Installing : perl-Net-DNS-0.68-5.fc18.x86_64                           79/118 
  Updating   : perl-libwww-perl-6.05-1.fc18.noarch                       80/118 
  Updating   : perl-CPAN-1.9800-240.fc18.noarch                          81/118 
  Installing : perl-ExtUtils-AutoInstall-0.63-19.fc18.noarch             82/118 
  Updating   : perl-Test-Simple-0.98-240.fc18.noarch                     83/118 
  Installing : perl-Digest-SHA1-2.13-6.fc18.x86_64                       84/118 
  Installing : perl-NetAddr-IP-4.066-1.fc18.x86_64                       85/118 
  Updating   : at-3.1.13-10.fc18.x86_64                                  86/118 
  Cleanup    : perl-CPAN-1.9800-235.fc18.noarch                          87/118 
  Cleanup    : perl-ExtUtils-Manifest-1.61-235.fc18.noarch               88/118 
  Cleanup    : perl-ExtUtils-Install-1.58-235.fc18.noarch                89/118 
  Cleanup    : perl-ExtUtils-MakeMaker-6.63.2-235.fc18.noarch            90/118 
  Cleanup    : 4:perl-devel-5.16.2-235.fc18.x86_64                       91/118 
  Cleanup    : 1:perl-ExtUtils-ParseXS-3.16-235.fc18.noarch              92/118 
  Cleanup    : perl-libwww-perl-6.04-3.fc18.noarch                       93/118 
  Cleanup    : perl-Test-Harness-3.23-235.fc18.noarch                    94/118 
  Cleanup    : perl-Test-Simple-0.98-235.fc18.noarch                     95/118 
  Cleanup    : perl-Net-HTTP-6.03-4.fc18.noarch                          96/118 
  Cleanup    : perl-Data-Dumper-2.135.06-235.fc18.x86_64                 97/118 
  Cleanup    : perl-Digest-MD5-2.51-235.fc18.x86_64                      98/118 
  Cleanup    : perl-Digest-1.17-235.fc18.noarch                          99/118 
  Cleanup    : 1:perl-Module-Pluggable-4.00-235.fc18.noarch             100/118 
  Cleanup    : perl-Carp-1.26-235.fc18.noarch                           101/118 
  Cleanup    : perl-PathTools-3.39.2-235.fc18.x86_64                    102/118 
  Cleanup    : 1:perl-Pod-Escapes-1.04-235.fc18.noarch                  103/118 
  Cleanup    : 1:perl-Pod-Simple-3.20-235.fc18.noarch                   104/118 
  Cleanup    : perl-Pod-Perldoc-3.17.00-235.fc18.noarch                 105/118 
  Cleanup    : 1:perl-parent-0.225-235.fc18.noarch                      106/118 
  Cleanup    : perl-Pod-Parser-1.51-235.fc18.noarch                     107/118 
  Cleanup    : perl-threads-1.86-235.fc18.x86_64                        108/118 
  Cleanup    : perl-Scalar-List-Utils-1.25-235.fc18.x86_64              109/118 
  Cleanup    : perl-threads-shared-1.40-235.fc18.x86_64                 110/118 
  Cleanup    : 4:perl-libs-5.16.2-235.fc18.x86_64                       111/118 
  Cleanup    : 4:perl-macros-5.16.2-235.fc18.x86_64                     112/118 
  Cleanup    : 4:perl-5.16.2-235.fc18.x86_64                            113/118 
  Cleanup    : curl-7.27.0-4.fc18.x86_64                                114/118 
  Cleanup    : libcurl-7.27.0-4.fc18.x86_64                             115/118 
  Cleanup    : libssh2-1.4.2-2.fc18.x86_64                              116/118 
  Cleanup    : mysql-libs-5.5.28-1.fc18.x86_64                          117/118 
  Cleanup    : at-3.1.13-9.fc18.x86_64                                  118/118 
  Verifying  : 1:perl-parent-0.225-240.fc18.noarch                        1/118 
  Verifying  : perl-AnyEvent-AIO-1.1-10.fc18.noarch                       2/118 
  Verifying  : php-common-5.4.12-1.fc18.x86_64                            3/118 
  Verifying  : mod_perl-2.0.7-12.20130221svn1448242.fc18.x86_64           4/118 
  Verifying  : perl-Carp-1.26-240.fc18.noarch                             5/118 
  Verifying  : perl-Digest-SHA1-2.13-6.fc18.x86_64                        6/118 
  Verifying  : perl-Pod-Perldoc-3.17.00-240.fc18.noarch                   7/118 
  Verifying  : at-3.1.13-10.fc18.x86_64                                   8/118 
  Verifying  : perl-Test-Harness-3.23-240.fc18.noarch                     9/118 
  Verifying  : 1:perl-ExtUtils-ParseXS-3.16-240.fc18.noarch              10/118 
  Verifying  : php-5.4.12-1.fc18.x86_64                                  11/118 
  Verifying  : perl-CPAN-1.9800-240.fc18.noarch                          12/118 
  Verifying  : 4:perl-macros-5.16.2-240.fc18.x86_64                      13/118 
  Verifying  : perl-Net-Daemon-0.48-3.fc18.noarch                        14/118 
  Verifying  : phpMyAdmin-3.5.7-1.fc18.noarch                            15/118 
  Verifying  : php-mysql-5.4.12-1.fc18.x86_64                            16/118 
  Verifying  : perl-Data-Dumper-2.135.06-240.fc18.x86_64                 17/118 
  Verifying  : curl-7.27.0-7.fc18.x86_64                                 18/118 
  Verifying  : php-ldap-5.4.12-1.fc18.x86_64                             19/118 
  Verifying  : perl-BDB-1.90-3.fc18.x86_64                               20/118 
  Verifying  : 1:perl-IO-Zlib-1.10-240.fc18.noarch                       21/118 
  Verifying  : 1:perl-Pod-Simple-3.20-240.fc18.noarch                    22/118 
  Verifying  : perl-libwww-perl-6.05-1.fc18.noarch                       23/118 
  Verifying  : libcurl-7.27.0-7.fc18.x86_64                              24/118 
  Verifying  : perl-Digest-1.17-240.fc18.noarch                          25/118 
  Verifying  : 1:perl-Pod-Escapes-1.04-240.fc18.noarch                   26/118 
  Verifying  : perl-IO-AIO-4.15-3.fc18.x86_64                            27/118 
  Verifying  : perl-Digest-MD5-2.51-240.fc18.x86_64                      28/118 
  Verifying  : perl-Digest-HMAC-1.03-4.fc18.noarch                       29/118 
  Verifying  : perl-Test-Simple-0.98-240.fc18.noarch                     30/118 
  Verifying  : 4:perl-devel-5.16.2-240.fc18.x86_64                       31/118 
  Verifying  : perl-Net-DNS-0.68-5.fc18.x86_64                           32/118 
  Verifying  : php-gd-5.4.12-1.fc18.x86_64                               33/118 
  Verifying  : perl-Guard-1.022-3.fc18.x86_64                            34/118 
  Verifying  : unixODBC-2.3.1-2.fc18.x86_64                              35/118 
  Verifying  : libzip-0.10.1-5.fc18.x86_64                               36/118 
  Verifying  : libtidy-0.99.0-26.20091203.fc18.x86_64                    37/118 
  Verifying  : perl-threads-shared-1.40-240.fc18.x86_64                  38/118 
  Verifying  : perl-threads-1.86-240.fc18.x86_64                         39/118 
  Verifying  : perl-Pod-Parser-1.51-240.fc18.noarch                      40/118 
  Verifying  : php-mbstring-5.4.12-1.fc18.x86_64                         41/118 
  Verifying  : httpd-tools-2.4.3-15.fc18.x86_64                          42/118 
  Verifying  : perl-AnyEvent-7.04-1.fc18.x86_64                          43/118 
  Verifying  : perl-ExtUtils-MakeMaker-6.63.2-240.fc18.noarch            44/118 
  Verifying  : perl-Net-HTTP-6.06-1.fc18.noarch                          45/118 
  Verifying  : php-cli-5.4.12-1.fc18.x86_64                              46/118 
  Verifying  : perl-Coro-6.09-4.fc18.x86_64                              47/118 
  Verifying  : php-tidy-5.4.12-1.fc18.x86_64                             48/118 
  Verifying  : perl-common-sense-3.6-3.fc18.noarch                       49/118 
  Verifying  : 4:perl-libs-5.16.2-240.fc18.x86_64                        50/118 
  Verifying  : perl-ExtUtils-Manifest-1.61-240.fc18.noarch               51/118 
  Verifying  : perl-BSD-Resource-1.29.04-12.fc18.x86_64                  52/118 
  Verifying  : perl-Event-1.20-3.fc18.x86_64                             53/118 
  Verifying  : php-imap-5.4.12-1.fc18.x86_64                             54/118 
  Verifying  : perl-AnyEvent-BDB-1.1-9.fc18.noarch                       55/118 
  Verifying  : mysql-server-5.5.30-1.fc18.x86_64                         56/118 
  Verifying  : perl-ExtUtils-AutoInstall-0.63-19.fc18.noarch             57/118 
  Verifying  : libc-client-2007f-3.fc18.x86_64                           58/118 
  Verifying  : php-php-gettext-1.0.11-6.fc18.noarch                      59/118 
  Verifying  : perl-Scalar-List-Utils-1.25-240.fc18.x86_64               60/118 
  Verifying  : php-xmlrpc-5.4.12-1.fc18.x86_64                           61/118 
  Verifying  : perl-PathTools-3.39.2-240.fc18.x86_64                     62/118 
  Verifying  : php-mcrypt-5.4.12-1.fc18.x86_64                           63/118 
  Verifying  : php-magickwand-1.0.9-4.fc18.x86_64                        64/118 
  Verifying  : 1:perl-Package-Constants-0.02-240.fc18.noarch             65/118 
  Verifying  : perl-Linux-Pid-0.04-16.fc18.x86_64                        66/118 
  Verifying  : mysql-5.5.30-1.fc18.x86_64                                67/118 
  Verifying  : libssh2-1.4.3-1.fc18.x86_64                               68/118 
  Verifying  : perl-EV-4.11-1.fc18.x86_64                                69/118 
  Verifying  : php-odbc-5.4.12-1.fc18.x86_64                             70/118 
  Verifying  : httpd-2.4.3-15.fc18.x86_64                                71/118 
  Verifying  : php-xml-5.4.12-1.fc18.x86_64                              72/118 
  Verifying  : perl-NetAddr-IP-4.066-1.fc18.x86_64                       73/118 
  Verifying  : 4:perl-5.16.2-240.fc18.x86_64                             74/118 
  Verifying  : 1:perl-Module-Pluggable-4.00-240.fc18.noarch              75/118 
  Verifying  : perl-Task-Weaken-1.04-4.fc18.noarch                       76/118 
  Verifying  : 1:php-pear-1.9.4-11.fc18.2.noarch                         77/118 
  Verifying  : perl-PlRPC-0.2020-11.fc18.noarch                          78/118 
  Verifying  : php-pecl-apc-3.1.14-1.fc18.x86_64                         79/118 
  Verifying  : perl-DBI-1.623-1.fc18.x86_64                              80/118 
  Verifying  : mysql-libs-5.5.30-1.fc18.x86_64                           81/118 
  Verifying  : libmcrypt-2.5.8-12.fc18.x86_64                            82/118 
  Verifying  : php-pdo-5.4.12-1.fc18.x86_64                              83/118 
  Verifying  : perl-ExtUtils-Install-1.58-240.fc18.noarch                84/118 
  Verifying  : perl-Archive-Tar-1.88-5.fc18.noarch                       85/118 
  Verifying  : perl-DBD-MySQL-4.022-1.fc18.x86_64                        86/118 
  Verifying  : 1:perl-ExtUtils-ParseXS-3.16-235.fc18.noarch              87/118 
  Verifying  : perl-Data-Dumper-2.135.06-235.fc18.x86_64                 88/118 
  Verifying  : perl-Digest-1.17-235.fc18.noarch                          89/118 
  Verifying  : 1:perl-Module-Pluggable-4.00-235.fc18.noarch              90/118 
  Verifying  : libssh2-1.4.2-2.fc18.x86_64                               91/118 
  Verifying  : curl-7.27.0-4.fc18.x86_64                                 92/118 
  Verifying  : perl-Net-HTTP-6.03-4.fc18.noarch                          93/118 
  Verifying  : perl-ExtUtils-Manifest-1.61-235.fc18.noarch               94/118 
  Verifying  : libcurl-7.27.0-4.fc18.x86_64                              95/118 
  Verifying  : 1:perl-Pod-Simple-3.20-235.fc18.noarch                    96/118 
  Verifying  : perl-CPAN-1.9800-235.fc18.noarch                          97/118 
  Verifying  : perl-ExtUtils-Install-1.58-235.fc18.noarch                98/118 
  Verifying  : perl-Test-Simple-0.98-235.fc18.noarch                     99/118 
  Verifying  : 4:perl-devel-5.16.2-235.fc18.x86_64                      100/118 
  Verifying  : perl-Scalar-List-Utils-1.25-235.fc18.x86_64              101/118 
  Verifying  : perl-ExtUtils-MakeMaker-6.63.2-235.fc18.noarch           102/118 
  Verifying  : perl-threads-shared-1.40-235.fc18.x86_64                 103/118 
  Verifying  : 4:perl-macros-5.16.2-235.fc18.x86_64                     104/118 
  Verifying  : 4:perl-libs-5.16.2-235.fc18.x86_64                       105/118 
  Verifying  : perl-Pod-Parser-1.51-235.fc18.noarch                     106/118 
  Verifying  : perl-Carp-1.26-235.fc18.noarch                           107/118 
  Verifying  : perl-Pod-Perldoc-3.17.00-235.fc18.noarch                 108/118 
  Verifying  : at-3.1.13-9.fc18.x86_64                                  109/118 
  Verifying  : perl-libwww-perl-6.04-3.fc18.noarch                      110/118 
  Verifying  : perl-Digest-MD5-2.51-235.fc18.x86_64                     111/118 
  Verifying  : mysql-libs-5.5.28-1.fc18.x86_64                          112/118 
  Verifying  : 1:perl-parent-0.225-235.fc18.noarch                      113/118 
  Verifying  : perl-Test-Harness-3.23-235.fc18.noarch                   114/118 
  Verifying  : perl-threads-1.86-235.fc18.x86_64                        115/118 
  Verifying  : 1:perl-Pod-Escapes-1.04-235.fc18.noarch                  116/118 
  Verifying  : 4:perl-5.16.2-235.fc18.x86_64                            117/118 
  Verifying  : perl-PathTools-3.39.2-235.fc18.x86_64                    118/118 

Installed:
  httpd.x86_64 0:2.4.3-15.fc18                                                  
  mod_perl.x86_64 0:2.0.7-12.20130221svn1448242.fc18                            
  mysql.x86_64 0:5.5.30-1.fc18                                                  
  mysql-server.x86_64 0:5.5.30-1.fc18                                           
  perl-Archive-Tar.noarch 0:1.88-5.fc18                                         
  perl-DBI.x86_64 0:1.623-1.fc18                                                
  perl-Digest-SHA1.x86_64 0:2.13-6.fc18                                         
  perl-ExtUtils-AutoInstall.noarch 0:0.63-19.fc18                               
  perl-Net-DNS.x86_64 0:0.68-5.fc18                                             
  perl-NetAddr-IP.x86_64 0:4.066-1.fc18                                         
  php.x86_64 0:5.4.12-1.fc18                                                    
  php-common.x86_64 0:5.4.12-1.fc18                                             
  php-gd.x86_64 0:5.4.12-1.fc18                                                 
  php-imap.x86_64 0:5.4.12-1.fc18                                               
  php-ldap.x86_64 0:5.4.12-1.fc18                                               
  php-magickwand.x86_64 0:1.0.9-4.fc18                                          
  php-mbstring.x86_64 0:5.4.12-1.fc18                                           
  php-mcrypt.x86_64 0:5.4.12-1.fc18                                             
  php-mysql.x86_64 0:5.4.12-1.fc18                                              
  php-odbc.x86_64 0:5.4.12-1.fc18                                               
  php-pear.noarch 1:1.9.4-11.fc18.2                                             
  php-pecl-apc.x86_64 0:3.1.14-1.fc18                                           
  php-tidy.x86_64 0:5.4.12-1.fc18                                               
  php-xml.x86_64 0:5.4.12-1.fc18                                                
  php-xmlrpc.x86_64 0:5.4.12-1.fc18                                             
  phpMyAdmin.noarch 0:3.5.7-1.fc18                                              

Dependency Installed:
  httpd-tools.x86_64 0:2.4.3-15.fc18                                            
  libc-client.x86_64 0:2007f-3.fc18                                             
  libmcrypt.x86_64 0:2.5.8-12.fc18                                              
  libtidy.x86_64 0:0.99.0-26.20091203.fc18                                      
  libzip.x86_64 0:0.10.1-5.fc18                                                 
  perl-AnyEvent.x86_64 0:7.04-1.fc18                                            
  perl-AnyEvent-AIO.noarch 0:1.1-10.fc18                                        
  perl-AnyEvent-BDB.noarch 0:1.1-9.fc18                                         
  perl-BDB.x86_64 0:1.90-3.fc18                                                 
  perl-BSD-Resource.x86_64 0:1.29.04-12.fc18                                    
  perl-Coro.x86_64 0:6.09-4.fc18                                                
  perl-DBD-MySQL.x86_64 0:4.022-1.fc18                                          
  perl-Digest-HMAC.noarch 0:1.03-4.fc18                                         
  perl-EV.x86_64 0:4.11-1.fc18                                                  
  perl-Event.x86_64 0:1.20-3.fc18                                               
  perl-Guard.x86_64 0:1.022-3.fc18                                              
  perl-IO-AIO.x86_64 0:4.15-3.fc18                                              
  perl-IO-Zlib.noarch 1:1.10-240.fc18                                           
  perl-Linux-Pid.x86_64 0:0.04-16.fc18                                          
  perl-Net-Daemon.noarch 0:0.48-3.fc18                                          
  perl-Package-Constants.noarch 1:0.02-240.fc18                                 
  perl-PlRPC.noarch 0:0.2020-11.fc18                                            
  perl-Task-Weaken.noarch 0:1.04-4.fc18                                         
  perl-common-sense.noarch 0:3.6-3.fc18                                         
  php-cli.x86_64 0:5.4.12-1.fc18                                                
  php-pdo.x86_64 0:5.4.12-1.fc18                                                
  php-php-gettext.noarch 0:1.0.11-6.fc18                                        
  unixODBC.x86_64 0:2.3.1-2.fc18                                                

Updated:
  at.x86_64 0:3.1.13-10.fc18         curl.x86_64 0:7.27.0-7.fc18               
  perl.x86_64 4:5.16.2-240.fc18      perl-libwww-perl.noarch 0:6.05-1.fc18     

Dependency Updated:
  libcurl.x86_64 0:7.27.0-7.fc18                                                
  libssh2.x86_64 0:1.4.3-1.fc18                                                 
  mysql-libs.x86_64 0:5.5.30-1.fc18                                             
  perl-CPAN.noarch 0:1.9800-240.fc18                                            
  perl-Carp.noarch 0:1.26-240.fc18                                              
  perl-Data-Dumper.x86_64 0:2.135.06-240.fc18                                   
  perl-Digest.noarch 0:1.17-240.fc18                                            
  perl-Digest-MD5.x86_64 0:2.51-240.fc18                                        
  perl-ExtUtils-Install.noarch 0:1.58-240.fc18                                  
  perl-ExtUtils-MakeMaker.noarch 0:6.63.2-240.fc18                              
  perl-ExtUtils-Manifest.noarch 0:1.61-240.fc18                                 
  perl-ExtUtils-ParseXS.noarch 1:3.16-240.fc18                                  
  perl-Module-Pluggable.noarch 1:4.00-240.fc18                                  
  perl-Net-HTTP.noarch 0:6.06-1.fc18                                            
  perl-PathTools.x86_64 0:3.39.2-240.fc18                                       
  perl-Pod-Escapes.noarch 1:1.04-240.fc18                                       
  perl-Pod-Parser.noarch 0:1.51-240.fc18                                        
  perl-Pod-Perldoc.noarch 0:3.17.00-240.fc18                                    
  perl-Pod-Simple.noarch 1:3.20-240.fc18                                        
  perl-Scalar-List-Utils.x86_64 0:1.25-240.fc18                                 
  perl-Test-Harness.noarch 0:3.23-240.fc18                                      
  perl-Test-Simple.noarch 0:0.98-240.fc18                                       
  perl-devel.x86_64 4:5.16.2-240.fc18                                           
  perl-libs.x86_64 4:5.16.2-240.fc18                                            
  perl-macros.x86_64 4:5.16.2-240.fc18                                          
  perl-parent.noarch 1:0.225-240.fc18                                           
  perl-threads.x86_64 0:1.86-240.fc18                                           
  perl-threads-shared.x86_64 0:1.40-240.fc18                                    

Complete!

This will install the apache,mysql and php into fedora 18.

Edit /etc/httpd/conf/httpd.conf
Line 151
None to All for working the .htaccess file in the directory /var/www/html
AllowOverride All

Then set the mysql root password using the command

mysqladmin -u root password “your-password”

Start Services

#systemctl enable httpd.service
#systemctl start httpd.service
#systemctl enable mysqld.service
#systemctl start mysqld.service
#mysql_secure_installation

That is all. Easy installation of LAMP on Fedora 18

Leave a Reply